Page MenuHomePhabricator

Password Reset: Inform Users of Preference in Basic Info Section [small]
Closed, ResolvedPublic

Description

As a Wikimedia user, I want to be informed of PRU in the "Basic info" section of Preferences, so that I can turn it on, even if I don't think to look in "Email options."

Background: This work came out of an exploratory ticket (T234759) that aimed to increase awareness of PRU for users. We recognized that some users may only look for password-related preferences in the "Basic info" section, and they may not think to look in the "Email options" section below. For this reason, we thought it would be helpful to provide some instructional text in the "Basic info" section. We originally envisioned three forms of text that we could display (depending on the status of the user's email set-up), but we opted to just include the messaging that was specific to PRU, for the sake of keeping this work smaller in scope. This work is complementary to T233969, which also aims to increase awareness of PRU among users.

Acceptance Criteria:

  • If the email is confirmed, display the following message: "Account recovery is enabled. See Email options for settings."
  • The "Email options" link, when clicked, should direct users to the "Email option" section
  • This informational text should only appear for users with a confirmed email address

Visual Example:

Event Timeline

ifried created this task.Oct 8 2019, 4:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2019, 4:07 PM
ifried updated the task description. (Show Details)Oct 8 2019, 10:07 PM
ifried updated the task description. (Show Details)Oct 10 2019, 1:23 AM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)Oct 10 2019, 4:14 PM
ifried updated the task description. (Show Details)Oct 15 2019, 8:41 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)
ifried renamed this task from Password Reset: Inform Users of Preference in Basic Info Section to Password Reset: Inform Users of Preference in Basic Info Section [small].Oct 15 2019, 11:55 PM
ifried moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
HMonroy claimed this task.Nov 21 2019, 9:55 PM
HMonroy moved this task from Ready to In Development on the Community-Tech (Kanban-Q2-2019-20) board.

Change 554654 had a related patch set uploaded (by HMonroy; owner: HMonroy):
[mediawiki/core@master] Add user preference info to basic info section

https://gerrit.wikimedia.org/r/554654

Change 554654 merged by jenkins-bot:
[mediawiki/core@master] Add user preference info to basic info section

https://gerrit.wikimedia.org/r/554654

dom_walden added a subscriber: dom_walden.

I believe testing this is covered by T239937#5750498.

Nothing further to do.

Restricted Application edited projects, added Community-Tech; removed Community-Tech (Kanban-Q3-2019-20). · View Herald TranscriptJan 7 2020, 6:51 PM
ifried closed this task as Resolved.Jan 8 2020, 5:35 PM
ifried moved this task from Product sign-off to Done on the Community-Tech (Kanban-Q3-2019-20) board.

I can now see this change in https://test.wikipedia.org/wiki/Special:Preferences (see screenshot example below). For this reason, I'm marking this work as Done.